Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EDMType

    java.lang.Object
      com.sun.mdm.index.parser.EDMType

public class EDMType
extends java.lang.Object

Nested Class Summary
`(package private) class` | `EDMType.EDMNode`
`(package private) class` | `EDMType.ImplDetails`
`(package private) class` | `EDMType.PageDefinition`
`(package private) class` | `EDMType.SystemDisplayNameOverrides`

Field Summary
`java.lang.String` | `mTagShowCreateDate`
`java.lang.String` | `mTagShowCreateTime`
`java.lang.String` | `mTagShowStatus`
`java.lang.String` | `mTagShowTimeStamp`
`java.lang.String` | `REPORT`
`java.lang.String` | `SEARCHRESULT`
`java.lang.String` | `SEARCHSCREEN`

Constructor Summary
`EDMType()` default constructor

Method Summary
`(package private) java.lang.String` | `getAlSimpleSearchPageXML(java.util.ArrayList alSimpleSearchPages, java.lang.String startTab)`
`(package private) java.lang.String` | `getAssumedMatchesXML()`
`(package private) java.lang.String` | `getAuditLogXML(java.lang.String rootObject)`
`(package private) java.lang.String` | `getCreateEoXML()`
`(package private) java.lang.String` | `getDashboardXML()`
`(package private) java.lang.String` | `getDuplicateRecordsXML()`
`EDMFieldDef` | `getEDMFieldDef(java.lang.String parentName, java.lang.String fieldName)` Get EDMFieldDef for field node
`(package private) EDMType.EDMNode` | `getEDMNode(java.lang.String nodeName)`
`(package private) java.lang.String` | `getEoSearchXML()`
`(package private) java.lang.String` | `getEoViewPageXML(EDMType.PageDefinition.EOViewPage eoViewPage)`
`(package private) java.lang.String` | `getFieldRefXML(EDMType.PageDefinition.FieldRef fieldRef, java.lang.String startTab)`
`java.lang.String` | `getGuiDefinitionXML(boolean bMidm)`
`(package private) java.lang.String` | `getHistoryXML()`
`java.lang.String` | `getImplDetailsXML(boolean bMidm)`
`(package private) java.lang.String` | `getMatchingReviewXML()`
`(package private) EDMType.SystemDisplayNameOverrides` | `getmSystemDisplayNameOverrides()`
`(package private) java.lang.String` | `getPageDefinitionXML()`
`(package private) java.lang.String` | `getPageTabXML(EDMType.PageDefinition.PageTab pageTab, java.lang.String startTab)`
`(package private) java.lang.String` | `getPageTabXML(EDMType.PageDefinition.PageTab pageTab, java.lang.String startTab, java.lang.String rootObject, java.lang.String tabName)`
`(package private) java.lang.String` | `getPDSearchPageXML()`
`(package private) java.lang.String` | `getRecordDetailsXML()`
`(package private) java.lang.String` | `getReportsXML()`
`(package private) java.lang.String` | `getReportXML(EDMType.PageDefinition.Report report)`
`(package private) java.lang.String` | `getSearchFieldGroupXML(java.util.ArrayList alFieldGroup, java.lang.String startTab)`
`(package private) java.lang.String` | `getSearchOptionXML(java.util.ArrayList alSearchOption)`
`(package private) java.lang.String` | `getSearchPagesXML(java.util.ArrayList alSimpleSearchPages, java.lang.String startTab)`
`(package private) java.lang.String` | `getSearchResultListPageXML(EDMType.PageDefinition.SearchResultListPage searchResultListPage, java.lang.String startTab)`
`(package private) java.lang.String` | `getSearchResultPagesXML(EDMType.PageDefinition.SearchResultListPage searchResultListPage, java.lang.String startTab)`
`(package private) java.lang.String` | `getSimpleSearchPageXML(EDMType.PageDefinition.SimpleSearchPage simpleSearchPage, java.lang.String startTab)`
`(package private) java.lang.String` | `getSourceRecordXML()`
`(package private) java.lang.String` | `getSubscreenConfigurationsXML(EDMType.PageDefinition.SubscreenConfigurations subscreenConfigurations)`
`(package private) java.lang.String` | `getSubscreenXML(EDMType.PageDefinition.Subscreen subscreen)`
`(package private) java.lang.String` | `getSystemDisplayNameOverridesXML()`
`(package private) java.lang.String` | `getTransactionsXML()`
`(package private) java.lang.String` | `getXASearchPageXML()`
`boolean` | `isModified()`
`void` | `parse(org.w3c.dom.Node node)` parse
`(package private) void` | `parseAssumedMatches(org.w3c.dom.Node node)`
`(package private) void` | `parseAuditLog(org.w3c.dom.Node node)`
`(package private) void` | `parseCommonBlock(org.w3c.dom.Node node, EDMType.PageDefinition.CommonBlock commonBlock)`
`(package private) void` | `parseCreateEo(org.w3c.dom.Node node)`
`(package private) void` | `parseDashboard(org.w3c.dom.Node node)`
`(package private) void` | `parseDuplicateRecords(org.w3c.dom.Node node)`
`(package private) void` | `parseEoSearch(org.w3c.dom.Node node)`
`(package private) void` | `parseEoViewPage(org.w3c.dom.Node node)`
`(package private) java.lang.String` | `parseFieldPerRow(org.w3c.dom.Node node)`
`(package private) void` | `parseGuiDefinition(org.w3c.dom.Node node)`
`(package private) void` | `parseHistory(org.w3c.dom.Node node)`
`(package private) void` | `parseMatchingReview(org.w3c.dom.Node node)`
`(package private) java.lang.String` | `parseOneTag(org.w3c.dom.Node node, java.lang.String targetTag)`
`(package private) void` | `parsePageDefinition(org.w3c.dom.Node node)`
`(package private) void` | `parsePDSearchPage(org.w3c.dom.Node node)`
`(package private) void` | `parseRecordDetails(org.w3c.dom.Node node)`
`(package private) void` | `parseReport(org.w3c.dom.Node node)`
`(package private) void` | `parseReports(org.w3c.dom.Node node)`
`(package private) void` | `parseSearchFieldGroup(org.w3c.dom.Node node, EDMType.PageDefinition.FieldGroup fieldGroup)`
`(package private) void` | `parseSearchOption(org.w3c.dom.Node node, EDMType.PageDefinition.SimpleSearchPage simpleSearchPage)`
`(package private) void` | `parseSearchPages(org.w3c.dom.Node node, EDMType.PageDefinition.CommonBlock commonBlock)`
`(package private) void` | `parseSearchResultListPage(org.w3c.dom.Node node, EDMType.PageDefinition.SearchResultListPage searchResultListPage)`
`(package private) void` | `parseSearchResultPages(org.w3c.dom.Node node, EDMType.PageDefinition.CommonBlock commonBlock)`
`(package private) void` | `parseSimpleSearchPage(org.w3c.dom.Node node, EDMType.PageDefinition.SimpleSearchPage simpleSearchPage)`
`(package private) void` | `parseSourceRecord(org.w3c.dom.Node node)`
`(package private) void` | `parseSubscreen(org.w3c.dom.Node node, EDMType.PageDefinition.Subscreen subscreen)`
`(package private) void` | `parseSubscreenConfigurations(org.w3c.dom.Node node, EDMType.PageDefinition.SubscreenConfigurations subscreenConfigurations)`
`(package private) void` | `parseSystemDisplayNameOverrides(org.w3c.dom.Node node)` National Health Service Number NHS Number
`(package private) void` | `parseTransactions(org.w3c.dom.Node node)`
`(package private) void` | `parseXASearchPage(org.w3c.dom.Node node)`
`boolean` | `removeReferencedField(java.lang.String fieldNamePath)`
`boolean` | `removeReferencedQueryBuilder(java.lang.String queryBuilderName)`
`void` | `setModified(boolean flag)`
`boolean` | `updateCheckedAttributes(java.lang.String fieldNamePath, java.lang.String attributeName, boolean checked, java.lang.String required)`
`boolean` | `updateReferencedField(java.lang.String oldName, java.lang.String newName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mTagShowCreateDate

    public final java.lang.String mTagShowCreateDate

See Also:
  Constant Field Values

### mTagShowCreateTime

    public final java.lang.String mTagShowCreateTime

See Also:
  Constant Field Values

### mTagShowStatus

    public final java.lang.String mTagShowStatus

See Also:
  Constant Field Values

### mTagShowTimeStamp

    public final java.lang.String mTagShowTimeStamp

See Also:
  Constant Field Values

### REPORT

    public final java.lang.String REPORT

See Also:
  Constant Field Values

### SEARCHRESULT

    public final java.lang.String SEARCHRESULT

See Also:
  Constant Field Values

### SEARCHSCREEN

    public final java.lang.String SEARCHSCREEN

See Also:
  Constant Field Values

Constructor Detail

### EDMType

    public EDMType()

  default constructor

Method Detail

### getAlSimpleSearchPageXML

    java.lang.String getAlSimpleSearchPageXML(java.util.ArrayList alSimpleSearchPages,
                                              java.lang.String startTab)

### getAssumedMatchesXML

    java.lang.String getAssumedMatchesXML()

### getAuditLogXML

    java.lang.String getAuditLogXML(java.lang.String rootObject)

### getCreateEoXML

    java.lang.String getCreateEoXML()

### getDashboardXML

    java.lang.String getDashboardXML()

### getDuplicateRecordsXML

    java.lang.String getDuplicateRecordsXML()

### getEDMFieldDef

    public EDMFieldDef getEDMFieldDef(java.lang.String parentName,
                                      java.lang.String fieldName)

  Get EDMFieldDef for field node

### getEDMNode

    EDMType.EDMNode getEDMNode(java.lang.String nodeName)

### getEoSearchXML

    java.lang.String getEoSearchXML()

### getEoViewPageXML

    java.lang.String getEoViewPageXML(EDMType.PageDefinition.EOViewPage eoViewPage)

### getFieldRefXML

    java.lang.String getFieldRefXML(EDMType.PageDefinition.FieldRef fieldRef,
                                    java.lang.String startTab)

### getGuiDefinitionXML

    public java.lang.String getGuiDefinitionXML(boolean bMidm)

### getHistoryXML

    java.lang.String getHistoryXML()

### getImplDetailsXML

    public java.lang.String getImplDetailsXML(boolean bMidm)

### getMatchingReviewXML

    java.lang.String getMatchingReviewXML()

### getmSystemDisplayNameOverrides

    EDMType.SystemDisplayNameOverrides getmSystemDisplayNameOverrides()

### getPageDefinitionXML

    java.lang.String getPageDefinitionXML()

### getPageTabXML

    java.lang.String getPageTabXML(EDMType.PageDefinition.PageTab pageTab,
                                   java.lang.String startTab)

### getPageTabXML

    java.lang.String getPageTabXML(EDMType.PageDefinition.PageTab pageTab,
                                   java.lang.String startTab,
                                   java.lang.String rootObject,
                                   java.lang.String tabName)

### getPDSearchPageXML

    java.lang.String getPDSearchPageXML()

### getRecordDetailsXML

    java.lang.String getRecordDetailsXML()

### getReportsXML

    java.lang.String getReportsXML()

### getReportXML

    java.lang.String getReportXML(EDMType.PageDefinition.Report report)

### getSearchFieldGroupXML

    java.lang.String getSearchFieldGroupXML(java.util.ArrayList alFieldGroup,
                                            java.lang.String startTab)

### getSearchOptionXML

    java.lang.String getSearchOptionXML(java.util.ArrayList alSearchOption)

### getSearchPagesXML

    java.lang.String getSearchPagesXML(java.util.ArrayList alSimpleSearchPages,
                                       java.lang.String startTab)

### getSearchResultListPageXML

    java.lang.String getSearchResultListPageXML(EDMType.PageDefinition.SearchResultListPage searchResultListPage,
                                                java.lang.String startTab)

### getSearchResultPagesXML

    java.lang.String getSearchResultPagesXML(EDMType.PageDefinition.SearchResultListPage searchResultListPage,
                                             java.lang.String startTab)

### getSimpleSearchPageXML

    java.lang.String getSimpleSearchPageXML(EDMType.PageDefinition.SimpleSearchPage simpleSearchPage,
                                            java.lang.String startTab)

### getSourceRecordXML

    java.lang.String getSourceRecordXML()

### getSubscreenConfigurationsXML

    java.lang.String getSubscreenConfigurationsXML(EDMType.PageDefinition.SubscreenConfigurations subscreenConfigurations)

### getSubscreenXML

    java.lang.String getSubscreenXML(EDMType.PageDefinition.Subscreen subscreen)

### getSystemDisplayNameOverridesXML

    java.lang.String getSystemDisplayNameOverridesXML()

### getTransactionsXML

    java.lang.String getTransactionsXML()

### getXASearchPageXML

    java.lang.String getXASearchPageXML()

### isModified

    public boolean isModified()

  Returns:
    boolean flag

### parse

    public void parse(org.w3c.dom.Node node)

  parse

  Parameters:
    `node` - Node

### parseAssumedMatches

    void parseAssumedMatches(org.w3c.dom.Node node)

### parseAuditLog

    void parseAuditLog(org.w3c.dom.Node node)

### parseCommonBlock

    void parseCommonBlock(org.w3c.dom.Node node,
                          EDMType.PageDefinition.CommonBlock commonBlock)

### parseCreateEo

    void parseCreateEo(org.w3c.dom.Node node)

### parseDashboard

    void parseDashboard(org.w3c.dom.Node node)

### parseDuplicateRecords

    void parseDuplicateRecords(org.w3c.dom.Node node)

### parseEoSearch

    void parseEoSearch(org.w3c.dom.Node node)

### parseEoViewPage

    void parseEoViewPage(org.w3c.dom.Node node)

### parseFieldPerRow

    java.lang.String parseFieldPerRow(org.w3c.dom.Node node)

### parseGuiDefinition

    void parseGuiDefinition(org.w3c.dom.Node node)

### parseHistory

    void parseHistory(org.w3c.dom.Node node)

### parseMatchingReview

    void parseMatchingReview(org.w3c.dom.Node node)

### parseOneTag

    java.lang.String parseOneTag(org.w3c.dom.Node node,
                                 java.lang.String targetTag)

### parsePageDefinition

    void parsePageDefinition(org.w3c.dom.Node node)

### parsePDSearchPage

    void parsePDSearchPage(org.w3c.dom.Node node)

### parseRecordDetails

    void parseRecordDetails(org.w3c.dom.Node node)

### parseReport

    void parseReport(org.w3c.dom.Node node)

### parseReports

    void parseReports(org.w3c.dom.Node node)

### parseSearchFieldGroup

    void parseSearchFieldGroup(org.w3c.dom.Node node,
                               EDMType.PageDefinition.FieldGroup fieldGroup)

### parseSearchOption

    void parseSearchOption(org.w3c.dom.Node node,
                           EDMType.PageDefinition.SimpleSearchPage simpleSearchPage)

### parseSearchPages

    void parseSearchPages(org.w3c.dom.Node node,
                          EDMType.PageDefinition.CommonBlock commonBlock)

### parseSearchResultListPage

    void parseSearchResultListPage(org.w3c.dom.Node node,
                                   EDMType.PageDefinition.SearchResultListPage searchResultListPage)

### parseSearchResultPages

    void parseSearchResultPages(org.w3c.dom.Node node,
                                EDMType.PageDefinition.CommonBlock commonBlock)

### parseSimpleSearchPage

    void parseSimpleSearchPage(org.w3c.dom.Node node,
                               EDMType.PageDefinition.SimpleSearchPage simpleSearchPage)

### parseSourceRecord

    void parseSourceRecord(org.w3c.dom.Node node)

### parseSubscreen

    void parseSubscreen(org.w3c.dom.Node node,
                        EDMType.PageDefinition.Subscreen subscreen)

### parseSubscreenConfigurations

    void parseSubscreenConfigurations(org.w3c.dom.Node node,
                                      EDMType.PageDefinition.SubscreenConfigurations subscreenConfigurations)

### parseSystemDisplayNameOverrides

    void parseSystemDisplayNameOverrides(org.w3c.dom.Node node)

  National Health Service Number NHS Number

### parseTransactions

    void parseTransactions(org.w3c.dom.Node node)

### parseXASearchPage

    void parseXASearchPage(org.w3c.dom.Node node)

### removeReferencedField

    public boolean removeReferencedField(java.lang.String fieldNamePath)

### removeReferencedQueryBuilder

    public boolean removeReferencedQueryBuilder(java.lang.String queryBuilderName)

### setModified

    public void setModified(boolean flag)

### updateCheckedAttributes

    public boolean updateCheckedAttributes(java.lang.String fieldNamePath,
                                           java.lang.String attributeName,
                                           boolean checked,
                                           java.lang.String required)

### updateReferencedField

    public boolean updateReferencedField(java.lang.String oldName,
                                         java.lang.String newName)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.